package com.ruoyi.wx.web.domain.vo;


import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import lombok.Data;

import java.time.LocalDate;
import java.util.Date;

@Data
public class WxUserVo {
    /** 用户名称 */
    @Excel(name = "用户名称")
    private String username;

    /** 用户层级 0 普通用户，1 VIP用户 */
    @Excel(name = "用户层级 0 普通用户，1 VIP用户")
    private Long userLevel;

    /** 性别：0 未知， 1男， 1 女 */
    @Excel(name = "性别：0 未知， 1男， 1 女")
    private Long gender;

    /** 微信登录openid */
    @Excel(name = "微信登录openid")
    private String wxOpenid;

    /** 积分 */
    @Excel(name = "积分")
    private Long points;

    /** 会员开始充值时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "会员开始充值时间", width = 30, dateFormat = "yyyy-MM-dd")
    private LocalDate vipStartTime;

    /** 会员结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "会员结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private LocalDate vipEndTime;

}
